Activity log for bug #905085

Date Who What changed Old value New value Message
2011-12-16 02:42:25 Jason Gerard DeRose bug added bug
2011-12-18 03:21:43 Jason Gerard DeRose summary Please make GI overrides available to Python3 Please make PyGI overrides available to Python3
2012-01-02 12:21:36 Mikkel Kamstrup Erlandsen bug task added dee
2012-01-02 12:22:00 Mikkel Kamstrup Erlandsen dee: importance Undecided High
2012-01-02 12:22:00 Mikkel Kamstrup Erlandsen dee: status New Confirmed
2012-01-02 12:22:11 Mikkel Kamstrup Erlandsen dee (Ubuntu): importance Undecided High
2012-01-02 12:22:11 Mikkel Kamstrup Erlandsen dee (Ubuntu): status New Confirmed
2012-02-01 09:44:38 Didier Roche unity: status New Confirmed
2012-05-18 18:42:32 Launchpad Janitor branch linked lp:~davidc3/dee/python3-overrides
2012-06-26 09:09:08 Unity Merger dee: status Confirmed Fix Committed
2012-06-26 11:58:31 Launchpad Janitor branch linked lp:~sil2100/dee/precise_SRU1
2012-06-27 13:40:00 Łukasz Zemczak branch linked lp:~sil2100/dee/hack_python3_overrides
2012-06-27 13:44:50 Łukasz Zemczak description Currently the GI overrides are only usable from Python2, not Python3. I'm working through a lens tutorial using Python3, and got stumped by Dee.Model.append() being missing. Looking a bit at Dee.py, seems it should be trivial to have the same code work under Python2 and Python3, although I'm not sure the correct way to do this packaging-wise. Files currently installed by gir1.2-dee-0.5: jderose@jgd-ws:~/bzr/dmedia/lens$ dpkg -L gir1.2-dee-0.5 /. /usr /usr/share /usr/share/doc /usr/share/doc/gir1.2-dee-0.5 /usr/share/doc/gir1.2-dee-0.5/copyright /usr/share/pyshared /usr/share/pyshared/gi /usr/share/pyshared/gi/overrides /usr/share/pyshared/gi/overrides/Dee.py /usr/lib /usr/lib/girepository-1.0 /usr/lib/girepository-1.0/Dee-0.5.typelib /usr/lib/python2.7 /usr/lib/python2.7/dist-packages /usr/lib/python2.7/dist-packages/gi /usr/lib/python2.7/dist-packages/gi/overrides /usr/share/doc/gir1.2-dee-0.5/changelog.Debian.gz /usr/lib/python2.7/dist-packages/gi/overrides/Dee.py ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: gir1.2-dee-0.5 0.5.22-1 ProcVersionSignature: Ubuntu 3.2.0-4.10-generic 3.2.0-rc5 Uname: Linux 3.2.0-4-generic x86_64 ApportVersion: 1.90-0ubuntu1 Architecture: amd64 Date: Thu Dec 15 19:33:51 2011 EcryptfsInUse: Yes InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2) SourcePackage: dee UpgradeStatus: Upgraded to precise on 2011-12-01 (14 days ago) [Test Case] [Regression Potential] As this does not modify existing code, no real regression potential. Original description: Currently the GI overrides are only usable from Python2, not Python3. I'm working through a lens tutorial using Python3, and got stumped by Dee.Model.append() being missing. Looking a bit at Dee.py, seems it should be trivial to have the same code work under Python2 and Python3, although I'm not sure the correct way to do this packaging-wise. Files currently installed by gir1.2-dee-0.5: jderose@jgd-ws:~/bzr/dmedia/lens$ dpkg -L gir1.2-dee-0.5 /. /usr /usr/share /usr/share/doc /usr/share/doc/gir1.2-dee-0.5 /usr/share/doc/gir1.2-dee-0.5/copyright /usr/share/pyshared /usr/share/pyshared/gi /usr/share/pyshared/gi/overrides /usr/share/pyshared/gi/overrides/Dee.py /usr/lib /usr/lib/girepository-1.0 /usr/lib/girepository-1.0/Dee-0.5.typelib /usr/lib/python2.7 /usr/lib/python2.7/dist-packages /usr/lib/python2.7/dist-packages/gi /usr/lib/python2.7/dist-packages/gi/overrides /usr/share/doc/gir1.2-dee-0.5/changelog.Debian.gz /usr/lib/python2.7/dist-packages/gi/overrides/Dee.py ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: gir1.2-dee-0.5 0.5.22-1 ProcVersionSignature: Ubuntu 3.2.0-4.10-generic 3.2.0-rc5 Uname: Linux 3.2.0-4-generic x86_64 ApportVersion: 1.90-0ubuntu1 Architecture: amd64 Date: Thu Dec 15 19:33:51 2011 EcryptfsInUse: Yes InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2) SourcePackage: dee UpgradeStatus: Upgraded to precise on 2011-12-01 (14 days ago)
2012-06-27 13:45:10 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2012-06-27 14:35:20 Łukasz Zemczak dee: status Fix Committed Confirmed
2012-06-27 14:35:26 Łukasz Zemczak dee: status Confirmed Triaged
2012-06-29 13:33:35 Łukasz Zemczak branch unlinked lp:~sil2100/dee/precise_SRU1
2012-06-29 13:36:41 Alan Pope ㋛ nominated for series Ubuntu Precise
2012-06-29 13:55:32 Didier Roche dee: status Triaged Fix Committed
2012-06-29 13:55:49 Didier Roche bug task added dee (Ubuntu Precise)
2012-07-04 14:16:20 Launchpad Janitor branch linked lp:~sil2100/dee/ubuntu_quantal
2012-07-06 11:44:14 Łukasz Zemczak unity: milestone 6.0
2012-07-06 11:44:24 Łukasz Zemczak unity: status Confirmed Fix Committed
2012-07-10 06:50:15 Launchpad Janitor dee (Ubuntu): status Confirmed Fix Released
2012-07-10 06:58:39 Didier Roche dee: status Fix Committed Fix Released
2012-07-10 06:58:41 Didier Roche unity: status Fix Committed Fix Released
2012-07-10 07:21:12 Launchpad Janitor branch linked lp:ubuntu/dee
2013-02-01 15:51:57 Łukasz Zemczak dee (Ubuntu Precise): status New In Progress
2013-02-01 15:52:00 Łukasz Zemczak dee (Ubuntu Precise): assignee Łukasz Zemczak (sil2100)
2013-02-01 15:53:30 Łukasz Zemczak description [Test Case] [Regression Potential] As this does not modify existing code, no real regression potential. Original description: Currently the GI overrides are only usable from Python2, not Python3. I'm working through a lens tutorial using Python3, and got stumped by Dee.Model.append() being missing. Looking a bit at Dee.py, seems it should be trivial to have the same code work under Python2 and Python3, although I'm not sure the correct way to do this packaging-wise. Files currently installed by gir1.2-dee-0.5: jderose@jgd-ws:~/bzr/dmedia/lens$ dpkg -L gir1.2-dee-0.5 /. /usr /usr/share /usr/share/doc /usr/share/doc/gir1.2-dee-0.5 /usr/share/doc/gir1.2-dee-0.5/copyright /usr/share/pyshared /usr/share/pyshared/gi /usr/share/pyshared/gi/overrides /usr/share/pyshared/gi/overrides/Dee.py /usr/lib /usr/lib/girepository-1.0 /usr/lib/girepository-1.0/Dee-0.5.typelib /usr/lib/python2.7 /usr/lib/python2.7/dist-packages /usr/lib/python2.7/dist-packages/gi /usr/lib/python2.7/dist-packages/gi/overrides /usr/share/doc/gir1.2-dee-0.5/changelog.Debian.gz /usr/lib/python2.7/dist-packages/gi/overrides/Dee.py ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: gir1.2-dee-0.5 0.5.22-1 ProcVersionSignature: Ubuntu 3.2.0-4.10-generic 3.2.0-rc5 Uname: Linux 3.2.0-4-generic x86_64 ApportVersion: 1.90-0ubuntu1 Architecture: amd64 Date: Thu Dec 15 19:33:51 2011 EcryptfsInUse: Yes InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2) SourcePackage: dee UpgradeStatus: Upgraded to precise on 2011-12-01 (14 days ago) [Test Case] 1. Start python3 2. from gi.repository import Dee -> Make sure that Dee is importable through gi.repository and that it's usuable from python3 [Regression Potential] As this does not modify existing code, no real regression potential. Original description: Currently the GI overrides are only usable from Python2, not Python3. I'm working through a lens tutorial using Python3, and got stumped by Dee.Model.append() being missing. Looking a bit at Dee.py, seems it should be trivial to have the same code work under Python2 and Python3, although I'm not sure the correct way to do this packaging-wise. Files currently installed by gir1.2-dee-0.5: jderose@jgd-ws:~/bzr/dmedia/lens$ dpkg -L gir1.2-dee-0.5 /. /usr /usr/share /usr/share/doc /usr/share/doc/gir1.2-dee-0.5 /usr/share/doc/gir1.2-dee-0.5/copyright /usr/share/pyshared /usr/share/pyshared/gi /usr/share/pyshared/gi/overrides /usr/share/pyshared/gi/overrides/Dee.py /usr/lib /usr/lib/girepository-1.0 /usr/lib/girepository-1.0/Dee-0.5.typelib /usr/lib/python2.7 /usr/lib/python2.7/dist-packages /usr/lib/python2.7/dist-packages/gi /usr/lib/python2.7/dist-packages/gi/overrides /usr/share/doc/gir1.2-dee-0.5/changelog.Debian.gz /usr/lib/python2.7/dist-packages/gi/overrides/Dee.py ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: gir1.2-dee-0.5 0.5.22-1 ProcVersionSignature: Ubuntu 3.2.0-4.10-generic 3.2.0-rc5 Uname: Linux 3.2.0-4-generic x86_64 ApportVersion: 1.90-0ubuntu1 Architecture: amd64 Date: Thu Dec 15 19:33:51 2011 EcryptfsInUse: Yes InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2) SourcePackage: dee UpgradeStatus: Upgraded to precise on 2011-12-01 (14 days ago)
2013-02-27 21:21:50 Dave Walker dee (Ubuntu Precise): status In Progress Fix Committed
2013-02-27 21:21:55 Dave Walker bug added subscriber SRU Verification
2013-02-27 21:22:03 Dave Walker tags amd64 apport-bug precise python3 running-unity amd64 apport-bug precise python3 running-unity verification-needed
2013-02-27 22:16:08 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/dee
2013-04-08 12:39:04 Timo Jyrinki tags amd64 apport-bug precise python3 running-unity verification-needed amd64 apport-bug precise python3 running-unity verification-done
2013-04-09 16:51:12 Colin Watson removed subscriber Ubuntu Stable Release Updates Team
2013-04-09 16:51:23 Launchpad Janitor dee (Ubuntu Precise): status Fix Committed Fix Released